<div class="areas-container vertical">
    <!--style="flex-wrap: wrap;  justify-content: space-around;"-->
    <div class="dataviz-filter" style="min-width:350px">
        <h1>Sélectionner <span>...</span></h1>

        <h2><span>...</span> Une zone d'observation</h2>
        <div *ngIf="areas && areas.features">
            <form class="filter">
                <div *ngFor="let areas of areas.features">
                    <input type="radio" [value]="areas.properties.id_area" [id]="areas.properties.id_area"
                        [name]="areas.properties.name" (change)="onChangeAreasFilter($event)"
                        [(ngModel)]="selectedAreas" class="selecteur">
                    <label [for]="areas.properties.id_area">{{ areas.properties.name }}</label>
                </div>
            </form>
        </div>
        <h2><span>...</span> Une espèce</h2>
        <div *ngIf="species && species.features">
            <form class="filter">
                <div *ngFor="let species of species.features">
                    <input type="radio" [value]="species.properties.cd_nom" [id]="species.properties.cd_nom"
                        [name]="species.properties.nom_complet" (change)="onChangeSpeciesFilter($event)"
                        [(ngModel)]="selectedSpecies" class="selecteur">
                    <label [for]="species.properties.cd_nom">{{ species.properties.nom_vern }}</label>
                </div>
            </form>
        </div>
        <h2><span>...</span> Un stade phénologique</h2>
        <div *ngIf="stages && stages.features">
            <form class="filter">
                <div *ngFor="let stages of stages.features">
                    <input type="radio" [value]="stages.properties.id_species_stage"
                        [id]="stages.properties.id_species_stage" [name]="stages.properties.name"
                        (change)="onChangeStagesFilter($event)" [(ngModel)]="selectedStages" class="selecteur">
                    <label [for]="stages.properties.id_species_stage">{{ stages.properties.name }}</label>
                </div>
            </form>
        </div>
    </div>

    <div class="dataTable">
        <h1>Visualiser mes observations</h1>
        <h3 *ngIf="individues.length === 0">Vous n'avez pas encore de donnée à visualiser</h3>
        <ul *ngIf="individues.length !== 0" class="individues">
            <li *ngFor="let individu of individues" [ngStyle]="{'color': '#000', 'fontWeight': 'bold' }">
                <span [ngStyle]="{'background': individu.color }">&nbsp;
                </span>
                {{individu.name}}
            </li>
        </ul>
        <table *ngIf="dataTable.length !== 0" name="dataTable">
            <tbody>
                <tr *ngFor="let years of dataTable">
                    <td class="first">{{years.year}}</td>
                    <td *ngFor="let months of years.months" class="cell">
                        <div *ngFor="let d of months.data; let i = index" class="popup"
                            (click)="displayPopup($event, d)"
                            [ngStyle]="{'position':i==months.data.length-1 ? 'relative' :'absolute',
                                        'paddingLeft':i===months.data.length-1 ? '0px' : (i+1)*12+'px',
                                        'zIndex': months.data.length ===1 ? 0 : months.data.length===2 ? 0 : i%2!==0 ? 0 : i+1 }">
                            <img [src]="d.src" [ngStyle]="{'filter': d.transfo, 'width': '22px' }"
                                (mouseenter)="over($event)" (mouseout)="out($event)">
                            <span class="popuptext" *ngIf="d.displayPopup"
                                [ngStyle]="{'backgroundColor': d.color, 'zIndex':5 }">
                                <div style="font-weight: bold;">{{d.date}}</div>
                                <div>{{d.obs_name}}</div>
                            </span>
                        </div>
                    </td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td></td>
                    <td *ngFor="let month of months" class="cell" colspan="30">{{Months[month]}}</td>
                </tr>
            </tfoot>
        </table>
    </div>

</div>